IRPCExportedDataSetsAdmin.ModifyExportedDataSet

View as Markdown

Administration API / specialized admin session idempotent

Replaces the definition of an exported data set.

ServiceExported data set administration MFiles.IRPCExportedDataSetsAdmin
gRPC method/MFiles.IRPCExportedDataSetsAdmin/ModifyExportedDataSet
HTTP (mf-http-grpc)POST /grpc/v1/modify-exported-data-set
RequestModifyExportedDataSetRequest
ResponseModifyExportedDataSetResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: ModifyExportedDataSetRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
expdatasetExportedDataSetAdminThe complete new definition, with the dataset.id of the data set to change.
expdataset.datasetExportedDataSetThe non-admin version of the struct.
expdataset.dataset.idint32Exported data set ID.
expdataset.dataset.namestringThe name of the data set.
expdataset.dataset.object_types[]repeated ExportedDataObjectTypeRoot nodes representing an object type.
expdataset.dataset.optionsEXPORTEDDATASETFLAGSData set flags.
expdataset.dataset.schedulebytesThe schedule of this data set extraction (a serialized Task object of Task Scheduler).
expdataset.dataset.database_connection_stringstringThe database connection string.
expdataset.dataset.run_as_user_idint32"Run as" user id for the exported data set.
expdataset.dataset.database_schemaExportedDataSetDBSchemaThe database schema.Values: EXPORTED_DATA_SET_DBSCHEMA_GENERIC (0).
expdataset.aliasesstringSemicolon-separated list of semantic aliases.

Response: ModifyExportedDataSetResponse

No fields.